# Draw
TKXSDRAW
SWDRAW

# SWDRAW_ShapeFix Class Reference

Contains commands to activate package ShapeFix
List of DRAW commands and corresponding functionalities:
edgesameparam - ShapeFix::SameParameter
settolerance - ShapeFix_ShapeTolerance
stwire - ShapeFix_Wire
reface - ShapeFix_Face
repcurve - ShapeFix_PCurves
.

`#include <SWDRAW_ShapeFix.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | InitCommands (Draw_Interpretor &theCommands)
| Loads commands defined in ShapeFix .

## Member Function Documentation

static Standard_EXPORT void SWDRAW_ShapeFix::InitCommands | ( | Draw_Interpretor & | theCommands | ) | `[static]`

void SWDRAW_ShapeFix::operator delete | ( | void * | anAddress | ) | `[inline]`

void* SWDRAW_ShapeFix::operator new | ( | size_t | size | ) | `[inline]`

void* SWDRAW_ShapeFix::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- SWDRAW_ShapeFix.hxx